//
//  TemperaturrechnerAppDelegate.m
//  Temperaturrechner
//
//  Created by Holger Hinzberg on 30.08.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "EntfernungsController.h"

@implementation EntfernungsController

@synthesize window;
@synthesize entfernung1;
@synthesize entfernung2;
@synthesize entfernungComboBox;


- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    [entfernungComboBox addItemWithObjectValue:
     @"Von Kilometer in Meilen"];
    [entfernungComboBox addItemWithObjectValue:
     @"Von Meilen in Kilometer"];
    [entfernungComboBox selectItemAtIndex:0];
}

- (IBAction)rechnen:(id)sender
{
    double ergebnis = 0;
    
    // Den Werte von der grafischen 
    // Oberfläche einlesen.
    double entf = [entfernung1 doubleValue];
    
    // Die Indexposition der gewählten 
    // Objektes der Combobox holen.
    NSInteger index = 
    [entfernungComboBox indexOfSelectedItem]; 
    
    // Die passende Formel wählen
    // und rechnen.
    if(index == 0)
    {
        NSLog(@"Von Kilometer in Meilen");
        ergebnis = entf / 1.609;
    }
    else
    {
        NSLog(@"Von Meilen in Kilometer");
        ergebnis = entf * 1.609;
    }
    
    // Das Ergebnis ausgeben.
    [entfernung2 setDoubleValue:ergebnis];

}
@end
