//
//  TemperaturrechnerAppDelegate.m
//  Temperaturrechner
//
//  Created by Holger Hinzberg on 30.08.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "TemperaturController.h"

@implementation TemperaturController

@synthesize window;
@synthesize temperatur1;
@synthesize temperatur2;
@synthesize temperaturComboBox;


- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    [temperaturComboBox addItemWithObjectValue:
     @"Von Celsius nach Fahrenheit"];
    [temperaturComboBox addItemWithObjectValue:
     @"Von Fahrenheit nach Celsius"];
    [temperaturComboBox selectItemAtIndex:0];
}

- (IBAction)rechnen:(id)sender
{
    double ergebnis = 0;
    
    // Den Werte von der grafischen 
    // Oberfläche einlesen.
    double temp1 = [temperatur1 doubleValue];
    
    // Die Indexposition der gewählten 
    // Objektes der Combobox holen.
    NSInteger index = 
    [temperaturComboBox indexOfSelectedItem]; 
    
    // Die passende Formel wählen
    // und rechnen.
    if(index == 0)
    {
        NSLog(@"Von Celsius nach Fahrenheit");
        ergebnis = temp1 * 1.8 + 32;
    }
    else
    {
        NSLog(@"Von Fahrenheit nach Celsius");
        ergebnis = (temp1 - 32 ) / 1.8;
    }
    
    // Das Ergebnis ausgeben.
    [temperatur2 setDoubleValue:ergebnis];

}
@end
